import graph;
size(200,200,IgnoreAspect);
real f(real x) {return x^3-6*x^2;}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2.2,6.5,operator ..),red+2);
xaxis("$x$",xmax=7,Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
dot(F(0),4+black);
label("$(0,0)$",F(0),NW);
dot(F(2),4+black);
label("$(2,-16)$",F(2),NE);
dot(F(4),4+black);
label("$(4,-32)$",F(4),S);
xtick("$6$",6);
label("$f(x)=x^3-6x^2$",F(6.3),W);

