import graph;
size(200,200);
real f(real x) {return x^(3/2)-3*x^(1/2);}
pair F(real x) {return (x,f(x));}
xaxis("$t$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0,4,operator ..),red+2);
dot(F(1),4+black);
label("$(1,-2)$",F(1),S);
xtick("$3$",3);
label("$g(t)=t^{\frac {3}{2}}-3t^{\frac {1}{2}}$",F(3.5),W);

