import graph;
size(200,200);
real f(real x) {return x^2/(x^2+2*x+1);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-5,-1.69,operator ..),red+2);
draw(graph(f,-0.71,5,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(0),4+black);
dot(F(0.5),4+black);
label("$(1/2,1/9)$",F(0),SE);
xequals(-1,ymin=-.3,ymax=f(-1.69),dashed);
yequals(1,xmin=-5,xmax=5,dashed);
label("$f(x)=\frac {x^2}{x^2+2x+1}$",(2.5,1.5),N);
label("$x=-1$",(-1,-.3),SSW);
label("$y=1$",(-5,1),SE);

