import graph;
size(150,150,IgnoreAspect);
real f(real x) {return -x+0.75;}
pair F(real x) {return (x,f(x));}
real g(real x) {return x^2+0.5;}
pair G(real x) {return (x,g(x));}
draw(graph(f,-.75,0,operator ..),red+2);
draw(graph(g,0,1,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(0),4+black);
dot(F(0),3+white);
dot(G(0),4+black);
dot(G(0),3+red);

