import graph;
size(300,0);
real f(real x) {return 1.1*x+sin(3*x)*exp(-(x/1.5)^2)+1;}
pair F(real x) {return (x,f(x));}
xaxis("$x$", Arrow(HookHead,size=4));
yaxis("$y$", Arrow(HookHead,size=4));
draw(graph(f,-3,3,operator --),red+2);
draw((-3,-2.3)--(3,4.3),blue+2);
label("$y=f(x)$",(.8,2.5),N);
label("$y=mx+b$",(1,1.5),S);

