import graph;
size(250,0);
real f(real x) {return .5*x*sin(x)+x;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,.5,6,operator ..),red+2);
label("$f(x)$",F(5.8),NW);
xequals(2.6954,ymin=0,ymax=f(2.6954),dashed);
xequals(4.4812,ymin=0,ymax=f(4.4812),dashed);
yequals(f(2.6954),xmin=2.1954,xmax=3.1954,blue+2);
yequals(f(4.4812),xmin=3.9812,xmax=4.9812,blue+2);
labelx("$c_1$",2.6954,S);
labelx("$c_2$",4.4812,S);

