import graph;
size(250,0);
real f(real x) {return 3*x*(x-1)*(x-2);}
pair F(real x) {return (x,f(x));}
//xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,9)));
//yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
xaxis("$x$",xmax=2.25,Arrow(HookHead,size=4));
yaxis("$y$",ymax=f(0.42265)+.2,Arrow(HookHead,size=4));
draw(graph(f,0.25777,2.13716,operator ..),red+2);
//label(shift(-2,2)*Label("$f(x)$",fontsize(9)),F(1.4),E);
label("$f(x)$",F(2.1),W);
xequals(0.42265,ymin=0,ymax=f(0.42265),dashed);
xequals(1.57735,ymin=f(1.57735),ymax=-0.25,dashed);
//xequals(1.57735,ymin=-0.05,ymax=0,dashed);
yequals(f(0.42265),xmin=0.22265,xmax=0.62265,blue+2);
yequals(f(1.57735),xmin=1.37735,xmax=1.77735,blue+2);
yequals(1,xmin=-0.05,xmax=2.13716);
labelx("$c_1$",0.42265,S);
labelx("$c_2$",1.57735,S);
labely("$f(a)=f(b)$",1,W);
dot(F(0.25777),4+black);
dot(F(0.25777),3+red);
dot(F(2.13716),4+black);
dot(F(2.13716),3+red);
