import graph;
size(150,0);
real f(real x) {return sqrt(x-1)+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -sqrt(x-1)+1;}
pair G(real x) {return (x,g(x));}
xaxis("$x$",xmin=-.5, Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,1,4,operator ..),red+2);
draw(graph(g,1,4,operator ..),red+2);
xequals(1.5,ymin=-1,ymax=+3,dashed);
dot(F(1.5),6+black);
dot(G(1.5),6+black);
label("Not a function",(2,1),E);
