import graph;
size(200,200,IgnoreAspect);
real f(real x) {return -1/4*x^4+5/3*x^3-7/2*x^2+3*x;}
pair F(real x) {return (x,f(x));}
draw(graph(f,0,3.5,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitTick(0)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitTick(0)),above=true);

