import localcalculus;
size(300,200,IgnoreAspect);
real low=-1, high=2;
real f(real y) {return 3-y^2;}
pair F(real y) {return (f(y),y);}
real g(real y) {return 1-y;}
pair G(real y) {return (g(y),y);}
ydrawfunc(f,-1.5,low,drawpen=red+dashed+1,fillpen=invisible);
ydrawfunc(f,high,2.5,drawpen=red+dashed+1,fillpen=invisible);
ydrawfunc(f,low,high,drawpen=red+2,fillpen=invisible);
ydrawfunc(g,-1.5,low,drawpen=blue+dashed+1,fillpen=invisible);
ydrawfunc(g,high,2.5,drawpen=blue+dashed+1,fillpen=invisible);
ydrawfunc(g,low,1,drawpen=blue+2,fillpen=invisible);
draw((-1,2)..(2,-1),blue+2);
xaxis("$x$",xmax=4,Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
ytick("$-1$",-1);
ytick("$2$",2);
label("$A$", (.9*(f(.6)+g(.6))/2,.6),N);
label(Label("$x=f(y)=3-y^2$",black), F(1.5), NE);
label(Label("$x=g(y)=1-y$",black), G(1.2),SW);
dot(F(-1),5+black);
label("$(2,-1)$",F(-1)+(0.2,0),E);
dot(F(2),5+black);
label("$(-1,2)$",F(2),SW);
dot(F(0),5+black);
label("$(3,0)$",F(0),NE);
dot(G(0),5+black);
label("$(1,0)$",G(0),NE);
