import graph;
size(300,0);
//real f(real x) {return .5*abs(cos(8.15/x)*exp(1/abs(x)));}
real f(real x) {return .5*abs(cos(8.15/x)*(1/abs(x)));}
//real f(real x) {return cos(1/x);}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(3)));
//yaxis("$y$",Arrow(HookHead,size=4));
//yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,5)));
yaxis(shift(0,6)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0,1,2,3,4),OmitTick(0,5)));
// Note the -- below ensures a linear interpolation is done.
draw(graph(f,-3,-.6,operator --),red+2);
// Need n large below otherwise we get artifacts suggesting the function
// isn't returning to 0.
draw(graph(f,-.6,-.1,operator --,n=2000),red+2);
draw(graph(f,.1,.6,operator --,n=2000),red+2);
draw(graph(f,.6,3,operator --),red+2);
