import graph;
size(200,0);
real f(real x) {return 0.4*((x+2)^2*(x+.5)^2*(x-1)*(x-1.5)*(x-2)+5);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2.25,2.05,operator .., n=200),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),xmax=2.5,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymax=3.5,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)),above=true);
dot(F(-.5),4+black);
dot(F(-.5),3+white);
dot(F(0.4),4+black);
dot(F(0.4),3+white);
dot(F(0.4)+(0,1),4+black);
dot(F(0.4)+(0,1),3+red);

