import graph;
import geometry;
size(250,0);
add(shift(-5,0)*grid(14,7,gray+linetype("4 4")));
real f(real x) {return 2*exp(-x^2/5)+2;}
pair F(real x) {return (x,f(x));}
xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,9)));
yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
draw(graph(f,-5,0,operator ..),red+2);
draw((0,4){right}..(2,1){right}..(5,6){right}..(8,1){right},red+2);
dot((8,1),4+black);
dot((8,1),3+red);
label(shift(-2,2)*Label("$f(x)$",fontsize(9)),(6,6.2),E);

