import graph;
size(300,200,IgnoreAspect);
real f(real x) {return x^6/729-(5*x^4)/81+(4*x^2)/9+1;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=6,Arrow(HookHead,size=4));
yaxis("$y$",ymax=4,Arrow(HookHead,size=4));
draw(graph(f,-5.7,5.7,operator ..),red+2);
dot(F(0),5+black);
label("$(0,1)$",F(0),SE);
xtick("$1$",1);
xtick("$2$",2);
xtick("$3$",3);
xtick("$4$",4);
xtick("$5$",5);
xtick("$-1$",-1);
xtick("$-2$",-2);
xtick("$-3$",-3);
xtick("$-4$",-4);
xtick("$-5$",-5);
label("$\displaystyle y=f(x)$",F(2),N);

