import graph;
size(150,0);
real a=2;
real b=1;
real f(real x) {return a*x**3;}
pair F(real x) {return (x,f(x));}
real g(real x) {return sqrt((b-x^2)/3);}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0,1.13,operator --),red+2);
label("$y=2x^3$",F(1.13),NE);
a=1;
draw(graph(f,0,1.13,operator --),red+2);
label("$y=1x^3$",F(1.13),NE);
a=0.5;
draw(graph(f,0,1.13,operator --),red+2);
label("$y=\frac{1}{2}x^3$",F(1.13),NE);
//dot(F(2),black+5);
//label("$(2,3)$",F(2),W);
//labelx("$-1$",-1);
