import graph;
size(175,0);
real a=2;
real b=2;
real f(real x) {return a*x**3;}
pair F(real x) {return (x,f(x));}
real g(real x) {return sqrt((b-x^2)/3);}
pair G(real x) {return (x,g(x));}
real h(real x) {return -sqrt((b-x^2)/3);}
pair H(real x) {return (x,h(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1.11,1.11,operator --),red+1);
label("$a=2$",F(1.11),NE);
a=1;
draw(graph(f,-1.11,1.11,operator --),red+1);
label("$a=1$",F(1.11),NE);
a=0.5;
draw(graph(f,-1.11,1.11,operator --),red+1);
label("$a=\frac{1}{2}$",F(1.11),NE);
draw(graph(g,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
draw(graph(h,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
label("$b=2$",H(.8),SE);
b=1;
draw(graph(g,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
draw(graph(h,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
label("$b=1$",H(.7),NW);
b=1.5;
draw(graph(g,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
draw(graph(h,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
label("$b=\frac{3}{2}$",(1.5,-.5),E);
draw((1.5,-.5){left}..{left}H(.85),Arrow);
//label("$b=\frac{3}{2}$",H(.85),SE);
//dot(F(2),black+5);
//label("$(2,3)$",F(2),W);
//labelx("$-1$",-1);
