import graph;
size(125,0);
real f(real x) {return 1.5*sqrt(4-x**2);}
pair F(real x) {return (x,f(x));}
real g(real x) {return -9*1/(4*f(1))*(x-1)+f(1);}
pair G(real x) {return (x,g(x));}
real h(real x) {return 4*f(1)/(9*1)*(x-1)+f(1);}
pair H(real x) {return (x,h(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1,1.8,operator ..),red+2);
draw(graph(g,.3,1.8,operator ..),blue+2);
draw(graph(h,.4,1.7,operator ..),purple+2);
label("$y=f(x)$",F(1.8),W);
label("t",G(1.8),N);
label("n",H(1.7),W);
dot(F(1),black+5);
label("$P$",(.9,f(1)),W);
//labelx("$0$",0,S);
