import graph;
size(200,0);
real f(real x) {return 1-1/2*x^2+1/27*x^3+1/21*x^4;}
pair F(real x) {return (x,f(x));}
real g(real x) {return 1-1/2*x^2+1/27*x^3+1/21*x^4+2;}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,3.5,operator ..),red+dashed);
draw(graph(g,-4,3.5,operator ..),blue+2);
draw(F(2)--G(2),black+2,Arrow(size=8));
label(scale(1.8)*"$a$",(2,1),E);
label("$y=f(x)+a$",G(-3.7),NE);

