import graph;
size(150,0);
real f(real x) {return log(x);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0.1,4,operator ..),red+2);
label("$g(x)=\ln\,x$",F(2),SE);
labelx(1,L=Label("$1$",fontsize(10)),S);
