import graph;
size(300,0);
real f(real x) {return cos(x);}
pair F(real x) {return (x,f(x));}
// We trick asymptote by using the minor ticks so no labels are created.
xaxis("$x$",Ticks(Label(fontsize(10)),new real[]{},ticks=new real[]{-6.28,-4.71,-3.14,-1.57,1.57,3.14,4.71,6.28},size=3),Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),-2,2,Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Step=1,Label(fontsize(10)),OmitFormat(0),OmitTick(-2,2)));
draw(graph(f,-7,7,operator ..),red+2);
label("$f(x)=\cos\,x$",(7,1),NW);
labelx(1.57,L=Label("$\frac{\pi}{2}$",fontsize(10)),S);
labelx(3.14,L=Label("$\pi$",fontsize(10)),S);
labelx(4.71,L=Label("$\frac{3\pi}{2}$",fontsize(10)),S);
labelx(6.28,L=Label("$2\pi$",fontsize(10)),S);
labelx(-1.57,L=Label("$-\frac{\pi}{2}$",fontsize(10)),S);
labelx(-3.14,L=Label("$-\pi$",fontsize(10)),S);
labelx(-4.71,L=Label("$-\frac{3\pi}{2}$",fontsize(10)),S);
labelx(-6.28,L=Label("$-2\pi$",fontsize(10)),S);
