import graph;
size(200,0);
real a=3;
real b=1;
real f(real x) {return 2x^2+a*x;}
pair F(real x) {return (x,f(x));}
real g(real x) {return sqrt((b-x^2)/3);}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0,1.13,operator --),red+2);
label("$y=2x^2+3x$~~($c=3$)",F(1.13),NE);
dot(F(1),black+4);
label("$(1,5)$",F(1),NE);
a=1;
draw(graph(f,0,1.13,operator --),red+2);
label("$y=2x^2+x$~~($c=1$)",F(1.13),NE);
dot(F(1),black+4);
label("$(1,3)$",F(1),NE);
a=0.1;
draw(graph(f,0,1.13,operator --),red+2);
label("$y=2x^2+\frac {x}{10}$~~($c=1/10$)",F(1.13),NE);
dot(F(1),black+4);
label("$(1,21/10)$",F(1),NE);
labelx("$1$",1);
xequals(1,ymin=-.05,ymax=.05);

