import graph;
size(200,0);
real f(real x) {return x^3;}
pair F(real x) {return (x,f(x));}
real g(real x) {return 3x-2;}
pair G(real x) {return (x,g(x));}
real h(real x) {return (0.67^3-1)*(x-1)/(.67-1)+1;}
pair H(real x) {return (x,g(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(xmin=-1.5,xmax=1.5,shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,2)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)));
draw(graph(f,-1,1.4,operator ..),red+2);
//draw(graph(g,.3,1.5,operator ..),blue+2);
draw(graph(h,.3,1.5,operator ..),purple+2);
xequals(1,ymin=f(.67),ymax=1,dotted+1);
yequals(f(.67),xmin=.67,xmax=1,dotted+1);
//labely(1,E);
label("$y=x^3$",F(1.35),W);
//label("$y=m(x-1)+1$",G(1.35),E);
dot((1,1),L=Label("$P(1,1)$",align=NW),6+black);
dot(F(0.67),L=Label("$Q(x,x^3)$",align=NW),6+black);
//label("$(-2,4)$",F(-2),W);
label(Label("$\Delta y$",fontsize(10)),(1,0.62),E);
label(Label("$\Delta x$",fontsize(10)),(0.83,f(.67)),S);
xequals(.67,ymin=-.045,ymax=f(.67),black+dashed);
label("$x$", (.67,-.075),S);
