import graph;
size(200,0);
real f(real x) {return -2/(x+8/3);}
pair F(real x) {return (x,f(x));}
real g(real x) {return (x+1)^2+2;}
pair G(real x) {return (x,g(x));}
real h(real x) {return -2/x;}
pair H(real x) {return (x,h(x));}
draw(graph(f,-8,-3,operator ..),red+2);
draw(graph(g,-3,0,operator ..),red+2);
draw(graph(h,0.25,4,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),xmax=6,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=2,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(-8,6)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymax=8,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=2,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(-8,8)),above=true);
dot(G(0),4+black);
dot(G(0),3+red);
dot(H(4),4+black);
dot(H(4),3+red);

