import graph;
size(200,0);
real f(real x) {return -1/2*(x-2)^2+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -(x-4)^2+2;}
pair G(real x) {return (x,g(x));}
draw(graph(f,-.5,2,operator ..),red+2);
draw(graph(g,2,6,operator ..),red+2);
dot(F(2),4+black);
dot(F(2),3+white);
dot(G(2),4+black);
dot(G(2),3+white);
dot(G(4),4+black);
dot(G(4),3+white);
dot((4,-2),4+black);
dot((4,-2),3+red);
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(-2,6),OmitTick(0,-2,6)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymax=3,Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,3)),above=true);
dot(F(0),4+black);
dot(F(0),3+white);

