import graph;
size(150,0);
real f(real x) {return sqrt(1-x^2);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-1,0,operator ..),red+2);
xaxis("$x$",xmin=-1.2,xmax=1.2,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(-1),OmitTick(1)),above=true);
yaxis("$y$",ymin=0,ymax=1.2,Arrow(HookHead,size=4),above=true);
labelx("$-r$",-1);

